# Uses of Class
it.tdlight.jni.TdApi.PremiumStoryFeature

## Uses of TdApi.PremiumStoryFeature in it.tdlight.jni

Subclasses of TdApi.PremiumStoryFeature in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PremiumStoryFeatureCustomExpirationDuration`
The ability to set custom expiration duration for stories.
`static final class`
`TdApi.PremiumStoryFeatureLinksAndFormatting`
The ability to use links and formatting in story caption.
`static final class`
`TdApi.PremiumStoryFeaturePermanentViewsHistory`
The ability to check who opened the current user's stories after they expire.
`static final class`
`TdApi.PremiumStoryFeaturePriorityOrder`
Stories of the current user are displayed before stories of non-Premium contacts, supergroups, and channels.
`static final class`
`TdApi.PremiumStoryFeatureSaveStories`
The ability to save other's unprotected stories.
`static final class`
`TdApi.PremiumStoryFeatureStealthMode`
The ability to hide the fact that the user viewed other's stories.
`static final class`
`TdApi.PremiumStoryFeatureVideoQuality`
The ability to choose better quality for viewed stories.
Fields in it.tdlight.jni declared as TdApi.PremiumStoryFeature
Modifier and Type
Field
Description
`TdApi.PremiumStoryFeature`
TdApi.PremiumSourceStoryFeature.`feature`
The used feature.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumStoryFeature
Modifier
Constructor
Description
``
`PremiumSourceStoryFeature(TdApi.PremiumStoryFeature feature)`
A user tried to use a Premium story feature.